export default function displayFPS(viewer) {
  const fpsRootElement = document.getElementById("fps");
  const fpsDiv = document.createElement("div");
  const text = document.createTextNode("");
  fpsDiv.appendChild(text);
  fpsRootElement.appendChild(fpsDiv);
  let dts = [];
  viewer.ticker.add("fps", dt => {
    dts.push(Number(dt));
    if (dts.length === 10) {
      const averageDt = dts.reduce((acc, cur) => acc + cur) / dts.length;
      text.nodeValue = (1 / (averageDt / 1000)).toFixed(1);
      dts = [];
    }
  });
}
